/*
 *  TOPPERS Software
 *      Toyohashi Open Platform for Embedded Real-Time Systems
 * 
 *  Copyright (C) 2007 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *  Copyright (C) 2008 GJ Designing Center Printer Business Group
 *                                          RICOH COMPANY,LTD. JAPAN
 * 
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 * 
 *  @(#) $Id: target_stddef.h 2008-05-24 18:27:58Z roi $
 */

/*
 *  t_stddef.hΥåȰ¸ʽŻ AKI-H8/3048Fѡ
 *
 *  Υ󥯥롼ɥեϡt_stddef.hƬǥ󥯥롼ɤ롥
 *  ¾Υե뤫ľܥ󥯥롼ɤ뤳ȤϤʤ¾Υ󥯥롼
 *  եΩäƽ뤿ᡤ¾Υ󥯥롼ɥե˰¸
 *  ƤϤʤʤ
 */

#ifndef TOPPERS_TARGET_STDDEF_H
#define TOPPERS_TARGET_STDDEF_H

/*
 *  åȤ̤뤿Υޥ
 */
#define TOPPERS_AKIH8_3048F			/* ƥά */

/*
 *  ȯĶǶ̤
 *
 *  ȯĶstdint.hѰդƤˤϡTOPPERS_STDINT_TYPE1
 *  ޥstdint.h򥤥󥯥롼ɤФ褤
 */
#define TOPPERS_STDINT_TYPE1
#define TOPPERS_STDFLOAT_TYPE1
#define UINT8_C(val)		(val & 0xff)
#include "gcc/tool_stddef.h"

/*
 *   x Υ 0  y 뤿Υޥ
 */
#define TOPPERS_EMPTY_LABEL(x,y) x y[1]

/*
 *  ץåǶ̤
 */
#include "h8300h_gcc/core_stddef.h"

/*
 *  ȯĶɸ।󥯥롼ɥե
 *
 *  NULLstddef.h顤CHAR_BITlimits.hࡥ
 *  C++/EC++Ǥϡɸ;ϤΥ󥯥롼ɥե뤬Ѱդ
 *  Ȥϸ¤ʤʤۤȤɤγȯĶѰդƤˡ
 */
#ifndef TOPPERS_MACRO_ONLY
#include <stddef.h>
#include <limits.h>
#endif /* TOPPERS_MACRO_ONLY */

/*
 *  μԻμ¹ǽ
 */
#ifndef TOPPERS_MACRO_ONLY

Inline void
TOPPERS_assert_abort(void)
{
	while(1) {}
}

#endif /* TOPPERS_MACRO_ONLY */
#endif /* TOPPERS_TARGET_STDDEF_H */
